changeset 3037:5f417a4a944a

Make run* scripts executable, add method name in Bailout output
author Gilles Duboscq <gilles.duboscq@oracle.com>
date Mon, 20 Jun 2011 12:19:47 +0200
parents 79165996a12d
children cebfa0b55183 3ed1b2a5d071
files graal/com.oracle.max.graal.runtime/src/com/oracle/max/graal/runtime/VMExitsNative.java runavrora.sh runeclipse.sh runlusearch.sh
diffstat 2 files changed, 22 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/graal/com.oracle.max.graal.runtime/src/com/oracle/max/graal/runtime/VMExitsNative.java	Mon Jun 20 12:07:16 2011 +0200
+++ b/graal/com.oracle.max.graal.runtime/src/com/oracle/max/graal/runtime/VMExitsNative.java	Mon Jun 20 12:19:47 2011 +0200
@@ -156,7 +156,7 @@
                         if (!GraalOptions.QuietBailout && !(result.bailout() instanceof JSRNotSupportedBailout)) {
                             StringWriter out = new StringWriter();
                             result.bailout().printStackTrace(new PrintWriter(out));
-                            TTY.println("Bailout:\n" + out.toString());
+                            TTY.println("Bailout while compiling " + method + " :\n" + out.toString());
                             if (cause != null) {
                                 Logger.info("Trace for cause: ");
                                 for (StackTraceElement e : cause.getStackTrace()) {
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/runavrora.sh	Mon Jun 20 12:19:47 2011 +0200
@@ -0,0 +1,21 @@
+#!/bin/bash
+if [ -z "${JDK7}" ]; then
+  echo "JDK7 is not defined."
+  exit 1;
+fi
+if [ -z "${MAXINE}" ]; then
+  echo "MAXINE is not defined. It must point to a maxine repository directory."
+  exit 1;
+fi
+if [ -z "${GRAAL}" ]; then
+  echo "GRAAL is not defined. It must point to a maxine repository directory."
+  exit 1;
+fi
+if [ -z "${DACAPO}" ]; then
+  echo "DACAPO is not defined. It must point to a Dacapo benchmark directory."
+  exit 1;
+fi
+COMMAND="${JDK7G}/bin/java -client -d64 -graal -Xms1g -Xmx2g -esa -classpath ${DACAPO}/dacapo-9.12-bach.jar -XX:-GraalBailoutIsFatal -G:-QuietBailout $* Harness --preserve -n 5 avrora"
+echo $COMMAND
+$COMMAND
+echo $COMMAND